### parse tree of the GA lexer system

sub new {
	my $class = shift;

	$self = { root => parsetreenode->new(""), };

	bless $self, $class;
}

sub parse {
	### NOTE : $lexerscans is lexerscans.pm instance
	my ($self, $lexerscans) = @_;

	my $scannedwords = $lexerscans->{scannedwords};
	my $root = $self->{root};	
	### my $node = $self->{root}->add_child_node(

	for (my $i = 0; $i < length($scannedwords); $i++) {

		

	}
}

1;
